#include <stdio.h>
#include <netinet/in.h>
#include <string.h>
#include <time.h>


int main(void)
{
	union {
		unsigned char digest[24];
		unsigned int digest2[24 / sizeof(unsigned int) * sizeof(unsigned char)];
	} d;
	time_t nowtime;

	d.digest[0] = 0;
	d.digest[1] = 1;
	d.digest[2] = 0;
	d.digest[3] = 0;

	nowtime = time(NULL);
	d.digest[4] = (unsigned char) ((nowtime >> 24) & 0xff);
	d.digest[5] = (unsigned char) ((nowtime >> 16) & 0xff);
	d.digest[6] = (unsigned char) ((nowtime >> 8) & 0xff);
	d.digest[7] = (unsigned char) (nowtime & 0xff);

	fprintf(stdout, "Old=%08x%08x\n", d.digest2[0], d.digest2[1]);

	/* Reset */
	memset(d.digest, 0, sizeof(d.digest));

	d.digest2[0] = htonl(0x00010000);
	d.digest2[1] = htonl(time(NULL));

	fprintf(stdout, "New=%08x%08x\n", d.digest2[0], d.digest2[1]);

	return 0;
}
